Resources

Supported Operating Systems

The supported operating systems derived from this page are for SAS® Viya® as well as SAS® Foundation products and servers, release 9.4 and earlier. For SAS Viya 2020.1 and later, see System Requirements and Support Levels. To find system requirements for products and solutions not included here, click this link.

Display Supported Operating Systems
View:
Platform:
Operating System:

  

Your selection details will appear below when you click Submit.
  

SAS® News


SAS® 9.4 TS1M8 (9.4 M8) is the current release

  • SAS 9.4 M8 was released on January 31, 2023.
  • If you are new to SAS, complete the contact form.
  • Current SAS 9.4 customers can request SAS 9.4 maintenance by visiting Release Announcement and use the self-service application for maintenance tool.
Important Links & Notes


Details of Supported Operating Systems were found using the above criteria.

  • Linux Itanium, HP Tru64, HP-UX PA-RISC and Linux 32-bit with SAS 9.4 - This is not a supported configuration.
  • AIX
    • Platform Release Support Level Comment
      7.2 TL5 Standard SAS 9.4M8 is supported on AIX 7.2 TL5 or higher
      7.1 Standard SAS 9.4M0 - SAS 9.4M7 is supported on AIX 7.1 or higher
  • HP-UX Itanium
    • Platform Release Support Level Comment
      11.31 Standard Support available beginning with HP Itanium 11.31 Update 9. SAS 9.4M8 is not supported
  • Linux 64-bit
    • Platform Release Support Level Comment
      SuSE SLES 15 Standard SLES 15 is supported beginning with SAS 9.4M8.
      SuSE SLES 12.5 Standard SAS 9.4M8 is supported on SLES 12.5 or higher
      SuSE SLES 12 Standard SAS 9.4M0 - SAS 9.4M7 is supported on SLES 12
      SuSE SLES 11 Standard SAS 9.4M0 - SAS 9.4M7 is supported on SLES 11
      Red Hat Enterprise Linux 9.1 Standard RHEL 9.1 is supported beginning with SAS 9.4M7
      Red Hat Enterprise Linux 8.4 Standard SAS 9.4M8 is supported on RHEL 8.4 or higher
      Red Hat Enterprise Linux 8 Standard RHEL 8 is supported beginning with SAS 9.4M6.
      Red Hat Enterprise Linux 7.9 Standard SAS 9.4M8 is supported on RHEL 7.9 or higher
      Red Hat Enterprise Linux 7.1 Standard SAS 9.4M0 - SAS 9.4M7 is supported on RHEL 7.1 or higher
      Red Hat Enterprise Linux 6.1 Standard SAS 9.4M0 - SAS 9.4M7 is supported on RHEL 6.1 or higher
      Oracle Linux 8.4 Standard SAS 9.4M8 is supported on Oracle Linux 8.4 or higher
      Oracle Linux 8 Standard Oracle Linux 8 is supported beginning with SAS 9.4M6.
      Oracle Linux 7.9 Standard SAS 9.4M8 is supported on Oracle Linux 7.9 or higher
      Oracle Linux 7.1 Standard SAS 9.4M0 - SAS 9.4M7 is supported on Oracle Linux 7.1 or higher
      Oracle Linux 6.1 Standard SAS 9.4M0 - SAS 9.4M7 is supported on Oracle Linux 6.1 or higher
  • Oracle Solaris SPARC
    • Platform Release Support Level Comment
      Oracle Solaris 11.4 Standard SAS 9.4M8 is supported on Oracle Solaris 11.4 or higher
      Oracle Solaris 11 Standard SAS 9.4M0 - SAS 9.4M7 is supported on Oracle Solaris 11.x or higher
      Oracle Solaris 10 Standard Support available beginning with Oracle Solaris 10 Update 9 . SAS 9.4 M8 not supported
  • Oracle Solaris x64
    • Platform Release Support Level Comment
      Oracle Solaris 11.4 Standard SAS 9.4M8 is supported on Oracle Solaris 11.4 or higher
      Oracle Solaris 11 Standard SAS 9.4M0 - SAS 9.4M7 is supported on Oracle Solaris 11
      Oracle Solaris 10 Standard SAS 9.4 M8 not supported

    Important Links & Notes: UNIX